diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-transmit-mask-test.cc ns-3.44/src/wifi/test/wifi-transmit-mask-test.cc
--- ns-3.43/src/wifi/test/wifi-transmit-mask-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-transmit-mask-test.cc	2025-03-09 16:55:49.815372700 -0700
@@ -831,35 +832,35 @@
     // 11ax 40MHz @ 2.4GHz
     NS_LOG_FUNCTION("Check slopes for 11ax 40MHz @ 2.4GHz");
     maskSlopes = {
-        std::make_pair(0, -45.000),    // Outer band left (start)
-        std::make_pair(255, -28.066),  // Outer band left (stop)
-        std::make_pair(256, -28.000),  // Middle band left (start)
-        std::make_pair(505, -20.032),  // Middle band left (stop)
-        std::make_pair(506, -20.0),    // Flat junction band left (start)
-        std::make_pair(510, -20.0),    // Flat junction band left (stop)
-        std::make_pair(511, -20.0),    // Inner band left (start)
-        std::make_pair(523, -1.538),   // Inner band left (stop)
-        std::make_pair(524, 0.0),      // allocated band left (start)
-        std::make_pair(765, 0.0),      // allocated band left (stop)
-        std::make_pair(766, -20.0),    // DC band (start)
-        std::make_pair(770, -20.0),    // DC band (stop)
-        std::make_pair(771, 0.0),      // allocated band right (start)
-        std::make_pair(1012, 0.0),     // allocated band right (stop)
-        std::make_pair(1013, -1.538),  // Inner band right (start)
-        std::make_pair(1025, -20.0),   // Inner band right (stop)
-        std::make_pair(1026, -20.0),   // Flat junction band right (start)
-        std::make_pair(1030, -20.0),   // Flat junction band right (stop)
-        std::make_pair(1031, -20.032), // Middle band right (start)
-        std::make_pair(1280, -28.000), // Middle band right (stop)
-        std::make_pair(1281, -28.066), // Outer band right (start)
-        std::make_pair(1536, -45.000), // Outer band right (stop)
+        std::make_pair(0, dBr_u{-45.000}),    // Outer band left (start)
+        std::make_pair(255, dBr_u{-28.066}),  // Outer band left (stop)
+        std::make_pair(256, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(505, dBr_u{-20.032}),  // Middle band left (stop)
+        std::make_pair(506, dBr_u{-20.0}),    // Flat junction band left (start)
+        std::make_pair(510, dBr_u{-20.0}),    // Flat junction band left (stop)
+        std::make_pair(511, dBr_u{-20.0}),    // Inner band left (start)
+        std::make_pair(523, dBr_u{-1.538}),   // Inner band left (stop)
+        std::make_pair(524, dBr_u{0.0}),      // allocated band left (start)
+        std::make_pair(765, dBr_u{0.0}),      // allocated band left (stop)
+        std::make_pair(766, dBr_u{-20.0}),    // DC band (start)
+        std::make_pair(770, dBr_u{-20.0}),    // DC band (stop)
+        std::make_pair(771, dBr_u{0.0}),      // allocated band right (start)
+        std::make_pair(1012, dBr_u{0.0}),     // allocated band right (stop)
+        std::make_pair(1013, dBr_u{-1.538}),  // Inner band right (start)
+        std::make_pair(1025, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(1026, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(1030, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(1031, dBr_u{-20.032}), // Middle band right (start)
+        std::make_pair(1280, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(1281, dBr_u{-28.066}), // Outer band right (start)
+        std::make_pair(1536, dBr_u{-45.000}), // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_2.4GHz 40MHz",
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_2_4GHZ,
-                                               40,
-                                               {2422},
+                                               MHz_u{40},
+                                               {MHz_u{2422}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -869,35 +870,35 @@
     // 11ax 40MHz @ 5GHz
     NS_LOG_FUNCTION("Check slopes for 11ax 40MHz @ 5GHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),      // Outer band left (start)
-        std::make_pair(255, -28.047),  // Outer band left (stop)
-        std::make_pair(256, -28.000),  // Middle band left (start)
-        std::make_pair(505, -20.032),  // Middle band left (stop)
-        std::make_pair(506, -20.0),    // Flat junction band left (start)
-        std::make_pair(510, -20.0),    // Flat junction band left (stop)
-        std::make_pair(511, -20.0),    // Inner band left (start)
-        std::make_pair(523, -1.538),   // Inner band left (stop)
-        std::make_pair(524, 0.0),      // allocated band left (start)
-        std::make_pair(765, 0.0),      // allocated band left (stop)
-        std::make_pair(766, -20.0),    // DC band (start)
-        std::make_pair(770, -20.0),    // DC band (stop)
-        std::make_pair(771, 0.0),      // allocated band right (start)
-        std::make_pair(1012, 0.0),     // allocated band right (stop)
-        std::make_pair(1013, -1.538),  // Inner band right (start)
-        std::make_pair(1025, -20.0),   // Inner band right (stop)
-        std::make_pair(1026, -20.0),   // Flat junction band right (start)
-        std::make_pair(1030, -20.0),   // Flat junction band right (stop)
-        std::make_pair(1031, -20.032), // Middle band right (start)
-        std::make_pair(1280, -28.000), // Middle band right (stop)
-        std::make_pair(1281, -28.047), // Outer band right (start)
-        std::make_pair(1536, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),      // Outer band left (start)
+        std::make_pair(255, dBr_u{-28.047}),  // Outer band left (stop)
+        std::make_pair(256, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(505, dBr_u{-20.032}),  // Middle band left (stop)
+        std::make_pair(506, dBr_u{-20.0}),    // Flat junction band left (start)
+        std::make_pair(510, dBr_u{-20.0}),    // Flat junction band left (stop)
+        std::make_pair(511, dBr_u{-20.0}),    // Inner band left (start)
+        std::make_pair(523, dBr_u{-1.538}),   // Inner band left (stop)
+        std::make_pair(524, dBr_u{0.0}),      // allocated band left (start)
+        std::make_pair(765, dBr_u{0.0}),      // allocated band left (stop)
+        std::make_pair(766, dBr_u{-20.0}),    // DC band (start)
+        std::make_pair(770, dBr_u{-20.0}),    // DC band (stop)
+        std::make_pair(771, dBr_u{0.0}),      // allocated band right (start)
+        std::make_pair(1012, dBr_u{0.0}),     // allocated band right (stop)
+        std::make_pair(1013, dBr_u{-1.538}),  // Inner band right (start)
+        std::make_pair(1025, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(1026, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(1030, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(1031, dBr_u{-20.032}), // Middle band right (start)
+        std::make_pair(1280, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(1281, dBr_u{-28.047}), // Outer band right (start)
+        std::make_pair(1536, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_5GHz 40MHz",
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
-                                               40,
-                                               {5190},
+                                               MHz_u{40},
+                                               {MHz_u{5190}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -907,35 +908,35 @@
     // 11ax 80MHz @ 5GHz
     NS_LOG_FUNCTION("Check slopes for 11ax 80MHz @ 5GHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),      // Outer band left (start)
-        std::make_pair(511, -28.023),  // Outer band left (stop)
-        std::make_pair(512, -28.000),  // Middle band left (start)
-        std::make_pair(1017, -20.016), // Middle band left (stop)
-        std::make_pair(1018, -20.0),   // Flat junction band left (start)
-        std::make_pair(1022, -20.0),   // Flat junction band left (stop)
-        std::make_pair(1023, -20.0),   // Inner band left (start)
-        std::make_pair(1035, -1.538),  // Inner band left (stop)
-        std::make_pair(1036, 0.0),     // allocated band left (start)
-        std::make_pair(1533, 0.0),     // allocated band left (stop)
-        std::make_pair(1534, -20.0),   // DC band (start)
-        std::make_pair(1538, -20.0),   // DC band (stop)
-        std::make_pair(1539, 0.0),     // allocated band right (start)
-        std::make_pair(2036, 0.0),     // allocated band right (stop)
-        std::make_pair(2037, -1.538),  // Inner band right (start)
-        std::make_pair(2049, -20.0),   // Inner band right (stop)
-        std::make_pair(2050, -20.0),   // Flat junction band right (start)
-        std::make_pair(2054, -20.0),   // Flat junction band right (stop)
-        std::make_pair(2055, -20.016), // Middle band right (start)
-        std::make_pair(2560, -28.000), // Middle band right (stop)
-        std::make_pair(2561, -28.023), // Outer band right (start)
-        std::make_pair(3072, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),      // Outer band left (start)
+        std::make_pair(511, dBr_u{-28.023}),  // Outer band left (stop)
+        std::make_pair(512, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(1017, dBr_u{-20.016}), // Middle band left (stop)
+        std::make_pair(1018, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(1022, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(1023, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(1035, dBr_u{-1.538}),  // Inner band left (stop)
+        std::make_pair(1036, dBr_u{0.0}),     // allocated band left (start)
+        std::make_pair(1533, dBr_u{0.0}),     // allocated band left (stop)
+        std::make_pair(1534, dBr_u{-20.0}),   // DC band (start)
+        std::make_pair(1538, dBr_u{-20.0}),   // DC band (stop)
+        std::make_pair(1539, dBr_u{0.0}),     // allocated band right (start)
+        std::make_pair(2036, dBr_u{0.0}),     // allocated band right (stop)
+        std::make_pair(2037, dBr_u{-1.538}),  // Inner band right (start)
+        std::make_pair(2049, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(2050, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(2054, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(2055, dBr_u{-20.016}), // Middle band right (start)
+        std::make_pair(2560, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(2561, dBr_u{-28.023}), // Outer band right (start)
+        std::make_pair(3072, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_5GHz 80MHz",
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
-                                               80,
-                                               {5210},
+                                               MHz_u{80},
+                                               {MHz_u{5210}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -945,43 +946,43 @@
     // 11ax 160MHz @ 5GHz
     NS_LOG_FUNCTION("Check slopes for 11ax 160MHz @ 5GHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),      // Outer band left (start)
-        std::make_pair(1023, -28.012), // Outer band left (stop)
-        std::make_pair(1024, -28.000), // Middle band left (start)
-        std::make_pair(2041, -20.008), // Middle band left (stop)
-        std::make_pair(2042, -20.0),   // Flat junction band left (start)
-        std::make_pair(2046, -20.0),   // Flat junction band left (stop)
-        std::make_pair(2047, -20.0),   // Inner band left (start)
-        std::make_pair(2059, -1.538),  // Inner band left (stop)
-        std::make_pair(2060, 0.0),     // first 80 MHz allocated band left (start)
-        std::make_pair(2557, 0.0),     // first 80 MHz allocated band left (stop)
-        std::make_pair(2558, -20.0),   // first 80 MHz DC band (start)
-        std::make_pair(2562, -20.0),   // first 80 MHz DC band (stop)
-        std::make_pair(2563, 0.0),     // first 80 MHz allocated band right (start)
-        std::make_pair(3060, 0.0),     // first 80 MHz allocated band right (stop)
-        std::make_pair(3061, -20.0),   // gap between 80 MHz bands (start)
-        std::make_pair(3083, -20.0),   // gap between 80 MHz bands (start)
-        std::make_pair(3084, 0.0),     // second 80 MHz allocated band left (start)
-        std::make_pair(3581, 0.0),     // second 80 MHz allocated band left (stop)
-        std::make_pair(3582, -20.0),   // second 80 MHz DC band (start)
-        std::make_pair(3586, -20.0),   // second 80 MHz DC band (stop)
-        std::make_pair(3587, 0.0),     // second 80 MHz allocated band right (start)
-        std::make_pair(4084, 0.0),     // second 80 MHz allocated band right (stop)
-        std::make_pair(4085, -1.538),  // Inner band right (start)
-        std::make_pair(4097, -20.0),   // Inner band right (stop)
-        std::make_pair(4098, -20.0),   // Flat junction band right (start)
-        std::make_pair(4102, -20.0),   // Flat junction band right (stop)
-        std::make_pair(4103, -20.008), // Middle band right (start)
-        std::make_pair(5120, -28.000), // Middle band right (stop)
-        std::make_pair(5121, -28.012), // Outer band right (start)
-        std::make_pair(6144, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),      // Outer band left (start)
+        std::make_pair(1023, dBr_u{-28.012}), // Outer band left (stop)
+        std::make_pair(1024, dBr_u{-28.000}), // Middle band left (start)
+        std::make_pair(2041, dBr_u{-20.008}), // Middle band left (stop)
+        std::make_pair(2042, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(2046, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(2047, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(2059, dBr_u{-1.538}),  // Inner band left (stop)
+        std::make_pair(2060, dBr_u{0.0}),     // first 80 MHz allocated band left (start)
+        std::make_pair(2557, dBr_u{0.0}),     // first 80 MHz allocated band left (stop)
+        std::make_pair(2558, dBr_u{-20.0}),   // first 80 MHz DC band (start)
+        std::make_pair(2562, dBr_u{-20.0}),   // first 80 MHz DC band (stop)
+        std::make_pair(2563, dBr_u{0.0}),     // first 80 MHz allocated band right (start)
+        std::make_pair(3060, dBr_u{0.0}),     // first 80 MHz allocated band right (stop)
+        std::make_pair(3061, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
+        std::make_pair(3083, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
+        std::make_pair(3084, dBr_u{0.0}),     // second 80 MHz allocated band left (start)
+        std::make_pair(3581, dBr_u{0.0}),     // second 80 MHz allocated band left (stop)
+        std::make_pair(3582, dBr_u{-20.0}),   // second 80 MHz DC band (start)
+        std::make_pair(3586, dBr_u{-20.0}),   // second 80 MHz DC band (stop)
+        std::make_pair(3587, dBr_u{0.0}),     // second 80 MHz allocated band right (start)
+        std::make_pair(4084, dBr_u{0.0}),     // second 80 MHz allocated band right (stop)
+        std::make_pair(4085, dBr_u{-1.538}),  // Inner band right (start)
+        std::make_pair(4097, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(4098, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(4102, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(4103, dBr_u{-20.008}), // Middle band right (start)
+        std::make_pair(5120, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(5121, dBr_u{-28.012}), // Outer band right (start)
+        std::make_pair(6144, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_5GHz 160MHz",
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
-                                               160,
-                                               {5250},
+                                               MHz_u{160},
+                                               {MHz_u{5250}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -991,69 +992,69 @@
     // 11ax 80+80MHz @ 5GHz
     NS_LOG_FUNCTION("Check slopes for 11ax 80+80MHz @ 5GHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),      // Outer band left (start)
-        std::make_pair(511, -28.023),  // Outer band left (stop)
-        std::make_pair(512, -28.000),  // Middle band left (start)
-        std::make_pair(1017, -20.016), // Middle band left (stop)
-        std::make_pair(1018, -20.0),   // Flat junction band left (start)
-        std::make_pair(1022, -20.0),   // Flat junction band left (stop)
-        std::make_pair(1023, -20.0),   // Inner band left for first segment (start)
-        std::make_pair(1035, -1.538),  // Inner band left for first segment (stop)
-        std::make_pair(1036, 0.0),     // allocated band left for first segment (start)
-        std::make_pair(1533, 0.0),     // allocated band left for first segment (stop)
-        std::make_pair(1534, -20.0),   // DC band for first segment (start)
-        std::make_pair(1538, -20.0),   // DC band for first segment (stop)
-        std::make_pair(1539, 0.0),     // allocated band right for first segment (start)
-        std::make_pair(2036, 0.0),     // allocated band right for first segment (stop)
-        std::make_pair(2037, -1.538),  // Inner band right for first segment (start)
-        std::make_pair(2049, -20.0),   // Inner band right for first segment (stop)
-        std::make_pair(2050, -20.0),   // Flat junction band right for first segment (start)
-        std::make_pair(2054, -20.0),   // Flat junction band right for first segment (stop)
-        std::make_pair(2055, -20.01), // start linear sum region left (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(2055, -20.01), // start linear sum region left (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(2559, -24.99), // stop linear sum region left (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(2559, -24.99), // stop linear sum region left (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(2560, -25.0),  // middle linear sum region (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(2560, -25.0),  // middle linear sum region (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(2561, -24.99), // start linear sum region right (no interpolation possible,
-                                      // so provide 2 times the same point)
-        std::make_pair(2561, -24.99), // start linear sum region right (no interpolation possible,
-                                      // so provide 2 times the same point)
-        std::make_pair(3065, -20.01), // stop linear sum region right (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(3065, -20.01), // stop linear sum region right (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(3066, -20.0),  // Flat junction band left (start)
-        std::make_pair(3070, -20.0),  // Flat junction band left (stop)
-        std::make_pair(3071, -20.0),  // Inner band left for second segment (start)
-        std::make_pair(3083, -1.538), // Inner band left for second segment (stop)
-        std::make_pair(3084, 0.0),    // allocated band left for second segment (start)
-        std::make_pair(3581, 0.0),    // allocated band left for second segment (stop)
-        std::make_pair(3582, -20.0),  // DC band for second segment (start)
-        std::make_pair(3586, -20.0),  // DC band for second segment (stop)
-        std::make_pair(3587, 0.0),    // allocated band right for second segment (start)
-        std::make_pair(4084, 0.0),    // allocated band right for second segment (stop)
-        std::make_pair(4085, -1.538), // Inner band right for second segment (start)
-        std::make_pair(4097, -20.0),  // Inner band right for second segment (stop)
-        std::make_pair(4098, -20.0),  // Flat junction band right (start)
-        std::make_pair(4102, -20.0),  // Flat junction band right (stop)
-        std::make_pair(4103, -20.016), // Middle band right (start)
-        std::make_pair(4608, -28.000), // Middle band right (stop)
-        std::make_pair(4609, -28.023), // Outer band right (start)
-        std::make_pair(5120, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),      // Outer band left (start)
+        std::make_pair(511, dBr_u{-28.023}),  // Outer band left (stop)
+        std::make_pair(512, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(1017, dBr_u{-20.016}), // Middle band left (stop)
+        std::make_pair(1018, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(1022, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(1023, dBr_u{-20.0}),   // Inner band left for first segment (start)
+        std::make_pair(1035, dBr_u{-1.538}),  // Inner band left for first segment (stop)
+        std::make_pair(1036, dBr_u{0.0}),     // allocated band left for first segment (start)
+        std::make_pair(1533, dBr_u{0.0}),     // allocated band left for first segment (stop)
+        std::make_pair(1534, dBr_u{-20.0}),   // DC band for first segment (start)
+        std::make_pair(1538, dBr_u{-20.0}),   // DC band for first segment (stop)
+        std::make_pair(1539, dBr_u{0.0}),     // allocated band right for first segment (start)
+        std::make_pair(2036, dBr_u{0.0}),     // allocated band right for first segment (stop)
+        std::make_pair(2037, dBr_u{-1.538}),  // Inner band right for first segment (start)
+        std::make_pair(2049, dBr_u{-20.0}),   // Inner band right for first segment (stop)
+        std::make_pair(2050, dBr_u{-20.0}),   // Flat junction band right for first segment (start)
+        std::make_pair(2054, dBr_u{-20.0}),   // Flat junction band right for first segment (stop)
+        std::make_pair(2055, dBr_u{-20.01}),  // start linear sum region left (no interpolation
+                                              // possible, so provide 2 times the same point)
+        std::make_pair(2055, dBr_u{-20.01}),  // start linear sum region left (no interpolation
+                                              // possible, so provide 2 times the same point)
+        std::make_pair(2559, dBr_u{-24.99}),  // stop linear sum region left (no interpolation
+                                              // possible, so provide 2 times the same point)
+        std::make_pair(2559, dBr_u{-24.99}),  // stop linear sum region left (no interpolation
+                                              // possible, so provide 2 times the same point)
+        std::make_pair(2560, dBr_u{-25.0}),  // middle linear sum region (no interpolation possible,
+                                             // so provide 2 times the same point)
+        std::make_pair(2560, dBr_u{-25.0}),  // middle linear sum region (no interpolation possible,
+                                             // so provide 2 times the same point)
+        std::make_pair(2561, dBr_u{-24.99}), // start linear sum region right (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(2561, dBr_u{-24.99}), // start linear sum region right (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(3065, dBr_u{-20.01}), // stop linear sum region right (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(3065, dBr_u{-20.01}), // stop linear sum region right (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(3066, dBr_u{-20.0}),  // Flat junction band left (start)
+        std::make_pair(3070, dBr_u{-20.0}),  // Flat junction band left (stop)
+        std::make_pair(3071, dBr_u{-20.0}),  // Inner band left for second segment (start)
+        std::make_pair(3083, dBr_u{-1.538}), // Inner band left for second segment (stop)
+        std::make_pair(3084, dBr_u{0.0}),    // allocated band left for second segment (start)
+        std::make_pair(3581, dBr_u{0.0}),    // allocated band left for second segment (stop)
+        std::make_pair(3582, dBr_u{-20.0}),  // DC band for second segment (start)
+        std::make_pair(3586, dBr_u{-20.0}),  // DC band for second segment (stop)
+        std::make_pair(3587, dBr_u{0.0}),    // allocated band right for second segment (start)
+        std::make_pair(4084, dBr_u{0.0}),    // allocated band right for second segment (stop)
+        std::make_pair(4085, dBr_u{-1.538}), // Inner band right for second segment (start)
+        std::make_pair(4097, dBr_u{-20.0}),  // Inner band right for second segment (stop)
+        std::make_pair(4098, dBr_u{-20.0}),  // Flat junction band right (start)
+        std::make_pair(4102, dBr_u{-20.0}),  // Flat junction band right (stop)
+        std::make_pair(4103, dBr_u{-20.016}), // Middle band right (start)
+        std::make_pair(4608, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(4609, dBr_u{-28.023}), // Outer band right (start)
+        std::make_pair(5120, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_5GHz 80+80MHz",
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
-                                               160,
-                                               {5530, 5690},
+                                               MHz_u{160},
+                                               {MHz_u{5530}, MHz_u{5690}},
                                                maskSlopes,
                                                tol,
                                                prec),
